restic backup(1)

NAME

restic-restore - Extract the data from a snapshot

SYNOPSIS

restic restore [flags] snapshotID

DESCRIPTION

The "restore" command extracts the data from a snapshot from the repository to a directory.

The special snapshot "latest" can be used to restore the latest snapshot in the repository.

OPTIONS

-e, --exclude=[]
    exclude a pattern (can be specified multiple times)

-h, --help[=false]
    help for restore

-H, --host=""
    only consider snapshots for this host when the snapshot ID is "latest"

-i, --include=[]
    include a pattern, exclude everything else (can be specified multiple times)

--path=[]
    only consider snapshots which include this (absolute) path for snapshot ID "latest"

--tag=[]
    only consider snapshots which include this taglist for snapshot ID "latest"

-t, --target=""
    directory to extract data to

OPTIONS INHERITED FROM PARENT COMMANDS

--json[=false]
    set output mode to JSON for commands that support it

--no-lock[=false]
    do not lock the repo, this allows some operations on read-only repos

-o, --option=[]
    set extended option (key=value, can be specified multiple times)

-p, --password-file=""
    read the repository password from a file (default: $RESTIC_PASSWORD_FILE)

-q, --quiet[=false]
    do not output comprehensive progress report

-r, --repo=""
    repository to backup to or restore from (default: $RESTIC_REPOSITORY)

SEE ALSO

restic(1)